cipher-blowfish-0.0.3: Blowfish cipher

Portability | good
Stability | stable
Maintainer | Vincent Hanquez <vincent@snarc.org>
Safe Haskell | None

Crypto.Cipher.Blowfish

Description

Synopsis

- data Blowfish
- data Blowfish64
- data Blowfish128
- data Blowfish256
- data Blowfish448

# Documentation

data Blowfish Source

variable keyed blowfish state

Instances

BlockCipher Blowfish |
Cipher Blowfish |

data Blowfish64 Source

64 bit keyed blowfish state

Instances

BlockCipher Blowfish64 |
Cipher Blowfish64 |

data Blowfish128 Source

128 bit keyed blowfish state

Instances

BlockCipher Blowfish128 |
Cipher Blowfish128 |

data Blowfish256 Source

256 bit keyed blowfish state

Instances

BlockCipher Blowfish256 |
Cipher Blowfish256 |

data Blowfish448 Source

448 bit keyed blowfish state

Instances

BlockCipher Blowfish448 |
Cipher Blowfish448 |